    COMMENT = Programming languages

    SUBDIR += J
    SUBDIR += abcl
    SUBDIR += alchemist.el
    SUBDIR += algol68g
    SUBDIR += angelscript
    SUBDIR += apache-commons-jelly
    SUBDIR += asn1c
    SUBDIR += atlast
    SUBDIR += awka
    SUBDIR += bas2tap
    SUBDIR += basic256
    SUBDIR += bsh
    SUBDIR += bwbasic
    SUBDIR += c
    SUBDIR += cbmbasic
    SUBDIR += ccl
    SUBDIR += ceylon
    SUBDIR += cfortran
    SUBDIR += chaiscript
    SUBDIR += chez-scheme
    SUBDIR += chibi-scheme
    SUBDIR += chicken5
    SUBDIR += cim
    SUBDIR += cjs
    SUBDIR += cling
    SUBDIR += clips
    SUBDIR += clisp
    SUBDIR += clojure
    SUBDIR += clojure-mode.el
    SUBDIR += clover
    SUBDIR += cmucl
    SUBDIR += cmucl-extra
    SUBDIR += cocor
    SUBDIR += coffeescript
    SUBDIR += cparser
    SUBDIR += crystal
    SUBDIR += csharp-mode.el
    SUBDIR += cython
    SUBDIR += cython-devel
    SUBDIR += dlang-tools
    SUBDIR += dlv
    SUBDIR += duktape
    SUBDIR += duktape-lib
    SUBDIR += ecl
    SUBDIR += eisl
    SUBDIR += elixir
    SUBDIR += elixir-devel
    SUBDIR += elixir-mode.el
    SUBDIR += elk
    SUBDIR += elm
    SUBDIR += emacs-lisp-intro
    SUBDIR += erlang
    SUBDIR += erlang-doc
    SUBDIR += erlang-java
    SUBDIR += erlang-man
    SUBDIR += erlang-runtime21
    SUBDIR += erlang-runtime22
    SUBDIR += erlang-runtime23
    SUBDIR += erlang-runtime24
    SUBDIR += erlang-wx
    SUBDIR += execline
    SUBDIR += expect
    SUBDIR += f2c
    SUBDIR += fasm
    SUBDIR += fennel
    SUBDIR += ferite
    SUBDIR += ficl
    SUBDIR += fpc
    SUBDIR += fpc-base
    SUBDIR += fpc-docs
    SUBDIR += fpc-lua
    SUBDIR += fpc-pastojs
    SUBDIR += fpc-rexx
    SUBDIR += fpc-rtl-console
    SUBDIR += fpc-rtl-extra
    SUBDIR += fpc-rtl-generics
    SUBDIR += fpc-rtl-objpas
    SUBDIR += fpc-rtl-unicode
    SUBDIR += fpc-source
    SUBDIR += fpc-units
    SUBDIR += fpc-utils
    SUBDIR += fsharp
    SUBDIR += fth
    SUBDIR += gambit-c
    SUBDIR += gauche
    SUBDIR += gawk
    SUBDIR += gcc
    SUBDIR += gcc-ecj45
    SUBDIR += gcc10
    SUBDIR += gcc11
    SUBDIR += gcc11-devel
    SUBDIR += gcc12-devel
    SUBDIR += gcc48
    SUBDIR += gcc6-aux
    SUBDIR += gcc8
    SUBDIR += gcc9
    SUBDIR += gforth
    SUBDIR += ghc
    SUBDIR += gjs
    SUBDIR += gleam
    SUBDIR += gnatcross-binutils-aarch64
    SUBDIR += gnatcross-sysroot-aarch64
    SUBDIR += gnatdroid-binutils
    SUBDIR += gnatdroid-binutils-x86
    SUBDIR += gnatdroid-sysroot
    SUBDIR += gnatdroid-sysroot-x86
    SUBDIR += gnu-apl
    SUBDIR += gnu-cobol
    SUBDIR += gnustep-base
    SUBDIR += go
    SUBDIR += go-devel
    SUBDIR += go117
    SUBDIR += gomacro
    SUBDIR += gprolog
    SUBDIR += gravity
    SUBDIR += groovy
    SUBDIR += gscheme
    SUBDIR += guile
    SUBDIR += guile1
    SUBDIR += guile2
    SUBDIR += halide
    SUBDIR += haskell-mode.el
    SUBDIR += hermes
    SUBDIR += hla
    SUBDIR += hs-brainfuck
    SUBDIR += hs-unlambda
    SUBDIR += huc
    SUBDIR += icc
    SUBDIR += intel-compute-runtime
    SUBDIR += intercal
    SUBDIR += io
    SUBDIR += io-devel
    SUBDIR += itcl
    SUBDIR += itcl4
    SUBDIR += janet
    SUBDIR += jimtcl
    SUBDIR += jpm
    SUBDIR += jruby
    SUBDIR += julia
    SUBDIR += jython
    SUBDIR += kawa
    SUBDIR += kf5-kross
    SUBDIR += kotlin
    SUBDIR += kross-interpreters
    SUBDIR += kturtle
    SUBDIR += lafontaine
    SUBDIR += lci
    SUBDIR += ldc
    SUBDIR += lfe
    SUBDIR += libhx
    SUBDIR += libobjc2
    SUBDIR += librep
    SUBDIR += libstdc++_stldoc_4.2.2
    SUBDIR += linux-c7-tcl85
    SUBDIR += linux-dotnet-cli
    SUBDIR += linux-dotnet-runtime
    SUBDIR += linux-dotnet-sdk
    SUBDIR += linux-dotnet10-runtime
    SUBDIR += linux-dotnet11-runtime
    SUBDIR += linux-dotnet11-sdk
    SUBDIR += linux-j
    SUBDIR += lua51
    SUBDIR += lua52
    SUBDIR += lua53
    SUBDIR += lua54
    SUBDIR += luajit
    SUBDIR += luajit-devel
    SUBDIR += luajit-openresty
    SUBDIR += malbolge
    SUBDIR += maude
    SUBDIR += mawk
    SUBDIR += mdk
    SUBDIR += mecrisp-stellaris
    SUBDIR += micropython
    SUBDIR += mit-scheme
    SUBDIR += mixal
    SUBDIR += mlton
    SUBDIR += mmix
    SUBDIR += mono
    SUBDIR += mono-basic
    SUBDIR += mono5.10
    SUBDIR += mono5.20
    SUBDIR += mono6.8
    SUBDIR += mosh
    SUBDIR += mosml
    SUBDIR += mtasc
    SUBDIR += mujs
    SUBDIR += munger
    SUBDIR += myrddin
    SUBDIR += nawk
    SUBDIR += nbfc
    SUBDIR += neko
    SUBDIR += nesasm
    SUBDIR += newlisp
    SUBDIR += nhc98
    SUBDIR += nickle
    SUBDIR += nim
    SUBDIR += njs
    SUBDIR += nqc
    SUBDIR += nwcc
    SUBDIR += nx
    SUBDIR += nyan
    SUBDIR += ocaml
    SUBDIR += ocaml-autoconf
    SUBDIR += ocaml-camlidl
    SUBDIR += ocaml-nox11
    SUBDIR += onyx
    SUBDIR += oo2c
    SUBDIR += opencoarrays
    SUBDIR += ott
    SUBDIR += owl-lisp
    SUBDIR += p5-Data-JavaScript
    SUBDIR += p5-Error
    SUBDIR += p5-Expect
    SUBDIR += p5-ExtUtils-F77
    SUBDIR += p5-Interpolation
    SUBDIR += p5-JSAN
    SUBDIR += p5-JavaScript-SpiderMonkey
    SUBDIR += p5-JavaScript-Squish
    SUBDIR += p5-JavaScript-Value-Escape
    SUBDIR += p5-List-MoreUtils
    SUBDIR += p5-List-MoreUtils-XS
    SUBDIR += p5-Marpa
    SUBDIR += p5-Marpa-PP
    SUBDIR += p5-Marpa-XS
    SUBDIR += p5-Modern-Perl
    SUBDIR += p5-Perl6-Subs
    SUBDIR += p5-Promises
    SUBDIR += p5-Pugs-Compiler-Rule
    SUBDIR += p5-Quantum-Superpositions
    SUBDIR += p5-Scalar-List-Utils
    SUBDIR += p5-Switch
    SUBDIR += p5-Tcl
    SUBDIR += p5-Test-XPath
    SUBDIR += p5-Try-Catch
    SUBDIR += p5-Try-Tiny
    SUBDIR += p5-Try-Tiny-Retry
    SUBDIR += p5-TryCatch
    SUBDIR += p5-ePerl
    SUBDIR += p5-signatures
    SUBDIR += p5-v6
    SUBDIR += parrot
    SUBDIR += pbasic
    SUBDIR += pcc
    SUBDIR += perl5-devel
    SUBDIR += perl5.30
    SUBDIR += perl5.32
    SUBDIR += perl5.34
    SUBDIR += petite-chez
    SUBDIR += pfe
    SUBDIR += pharo
    SUBDIR += php-mode.el
    SUBDIR += php74
    SUBDIR += php74-extensions
    SUBDIR += php80
    SUBDIR += php80-extensions
    SUBDIR += php81
    SUBDIR += php81-extensions
    SUBDIR += picoc
    SUBDIR += plexil
    SUBDIR += pocl
    SUBDIR += polyml
    SUBDIR += ponyc
    SUBDIR += ptoc
    SUBDIR += purescript
    SUBDIR += py-hy
    SUBDIR += py-lupa
    SUBDIR += py-textX
    SUBDIR += python
    SUBDIR += python-doc-html
    SUBDIR += python-doc-pdf-a4
    SUBDIR += python-doc-pdf-letter
    SUBDIR += python-doc-text
    SUBDIR += python-mode.el
    SUBDIR += python-tools
    SUBDIR += python2
    SUBDIR += python27
    SUBDIR += python3
    SUBDIR += python310
    SUBDIR += python311
    SUBDIR += python37
    SUBDIR += python38
    SUBDIR += python39
    SUBDIR += qmasm
    SUBDIR += qscheme
    SUBDIR += quickjs
    SUBDIR += racket
    SUBDIR += racket-minimal
    SUBDIR += ratfor
    SUBDIR += referenceassemblies-pcl
    SUBDIR += retro12
    SUBDIR += rexx-imc
    SUBDIR += rexx-regina
    SUBDIR += rexx-regutil
    SUBDIR += rexx-wrapper
    SUBDIR += rhino
    SUBDIR += ruby27
    SUBDIR += ruby30
    SUBDIR += ruby31
    SUBDIR += ruby32
    SUBDIR += rubygem-ruby_language_server
    SUBDIR += runawk
    SUBDIR += rust
    SUBDIR += rust-bootstrap
    SUBDIR += rust-nightly
    SUBDIR += sagittarius-scheme
    SUBDIR += sather-specification
    SUBDIR += sather-tutorial
    SUBDIR += sbcl
    SUBDIR += scala
    SUBDIR += scheme48
    SUBDIR += scm
    SUBDIR += sdcc
    SUBDIR += see
    SUBDIR += seed7
    SUBDIR += silq
    SUBDIR += siod
    SUBDIR += sisc
    SUBDIR += sketchy
    SUBDIR += slib
    SUBDIR += slib-guile
    SUBDIR += slib-guile1
    SUBDIR += slib-guile2
    SUBDIR += slisp
    SUBDIR += smalltalk
    SUBDIR += smlnj
    SUBDIR += snobol4
    SUBDIR += solidity
    SUBDIR += spidermonkey17
    SUBDIR += spidermonkey78
    SUBDIR += spidermonkey91
    SUBDIR += spl
    SUBDIR += squeak
    SUBDIR += squirrel
    SUBDIR += swi-pl
    SUBDIR += tauthon
    SUBDIR += tcbasic
    SUBDIR += tcc
    SUBDIR += tcl-manual
    SUBDIR += tcl-wrapper
    SUBDIR += tcl85
    SUBDIR += tcl86
    SUBDIR += tcl87
    SUBDIR += tclX
    SUBDIR += tolua
    SUBDIR += tolua++
    SUBDIR += tuareg-mode.el
    SUBDIR += twelf
    SUBDIR += ucc
    SUBDIR += urweb
    SUBDIR += v
    SUBDIR += v8
    SUBDIR += v8-beta
    SUBDIR += vala
    SUBDIR += visualworks
    SUBDIR += voc
    SUBDIR += yabasic
    SUBDIR += yap
    SUBDIR += yorick
    SUBDIR += ypsilon
    SUBDIR += zig
    SUBDIR += zig-devel

.include <bsd.port.subdir.mk>
